## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryExpressionRootImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionRootImpl

All Implemented Interfaces:
  QueryExpression, QueryExpressionRoot, SQLObject, SQLQueryObject

public class QueryExpressionRootImpl
extends SQLQueryObjectImpl
implements QueryExpressionRoot

An implementation of the model object 'Expression'.

The following features are implemented:

- `Insert Statement`
- `Select Statement`
- `With Clause`
- `Query`
- `In Value Row Select Right`
- `In Value Select Right`
- `Quantified Row Select Right`
- `Quantified Value Select Right`
- `Value Expr Scalar Selects`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetQuery(QueryExpressionBody newQuery, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`QueryInsertStatement` `getInsertStatement()`
`PredicateInValueRowSelect` `getInValueRowSelectRight()`
`PredicateInValueSelect` `getInValueSelectRight()`
`PredicateQuantifiedRowSelect` `getQuantifiedRowSelectRight()`
`PredicateQuantifiedValueSelect` `getQuantifiedValueSelectRight()`
`QueryExpressionBody` `getQuery()`
`QuerySelectStatement` `getSelectStatement()`
`java.lang.String` `getSQL()`
`EList` `getValueExprScalarSelects()`
`EList` `getWithClause()`
`void` `setInsertStatement(QueryInsertStatement newInsertStatement)`
`void` `setInValueRowSelectRight(PredicateInValueRowSelect newInValueRowSelectRight)`
`void` `setInValueSelectRight(PredicateInValueSelect newInValueSelectRight)`
`void` `setQuantifiedRowSelectRight(PredicateQuantifiedRowSelect newQuantifiedRowSelectRight)`
`void` `setQuantifiedValueSelectRight(PredicateQuantifiedValueSelect newQuantifiedValueSelectRight)`
`void` `setQuery(QueryExpressionBody newQuery)`
`void` `setSelectStatement(QuerySelectStatement newSelectStatement)`
`void` `setSQL(java.lang.String sqlText)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, setSourceInfo`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getInsertStatement

    public QueryInsertStatement getInsertStatement()

  Specified by:
    `getInsertStatement` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'Insert Statement' container reference.
  See Also:
    `QueryExpressionRoot.setInsertStatement(QueryInsertStatement)`, `SQLQueryModelPackage.getQueryExpressionRoot_InsertStatement()`, `QueryInsertStatement.getSourceQuery()`

### setInsertStatement

    public void setInsertStatement(QueryInsertStatement newInsertStatement)

  Specified by:
    `setInsertStatement` in interface `QueryExpressionRoot`
  Parameters:
    `newInsertStatement` - the new value of the 'Insert Statement' container reference.
  See Also:
    `QueryExpressionRoot.getInsertStatement()`

### getSelectStatement

    public QuerySelectStatement getSelectStatement()

  Specified by:
    `getSelectStatement` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'Select Statement' container reference.
  See Also:
    `QueryExpressionRoot.setSelectStatement(QuerySelectStatement)`, `SQLQueryModelPackage.getQueryExpressionRoot_SelectStatement()`, `QuerySelectStatement.getQueryExpr()`

### setSelectStatement

    public void setSelectStatement(QuerySelectStatement newSelectStatement)

  Specified by:
    `setSelectStatement` in interface `QueryExpressionRoot`
  Parameters:
    `newSelectStatement` - the new value of the 'Select Statement' container reference.
  See Also:
    `QueryExpressionRoot.getSelectStatement()`

### getWithClause

    public EList getWithClause()

  Specified by:
    `getWithClause` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'With Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQueryExpressionRoot_WithClause()`, `WithTableSpecification.getQueryExpressionRoot()`

### getQuery

    public QueryExpressionBody getQuery()

  Specified by:
    `getQuery` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'Query' containment reference.
  See Also:
    `QueryExpressionRoot.setQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getQueryExpressionRoot_Query()`, `QueryExpressionBody.getQueryExpression()`

### basicSetQuery

    public NotificationChain basicSetQuery(QueryExpressionBody newQuery,
                                           NotificationChain msgs)

### setQuery

    public void setQuery(QueryExpressionBody newQuery)

  Specified by:
    `setQuery` in interface `QueryExpressionRoot`
  Parameters:
    `newQuery` - the new value of the 'Query' containment reference.
  See Also:
    `QueryExpressionRoot.getQuery()`

### getInValueRowSelectRight

    public PredicateInValueRowSelect getInValueRowSelectRight()

  Specified by:
    `getInValueRowSelectRight` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'In Value Row Select Right' container reference.
  See Also:
    `QueryExpressionRoot.setInValueRowSelectRight(PredicateInValueRowSelect)`, `SQLQueryModelPackage.getQueryExpressionRoot_InValueRowSelectRight()`, `PredicateInValueRowSelect.getQueryExpr()`

### setInValueRowSelectRight

    public void setInValueRowSelectRight(PredicateInValueRowSelect newInValueRowSelectRight)

  Specified by:
    `setInValueRowSelectRight` in interface `QueryExpressionRoot`
  Parameters:
    `newInValueRowSelectRight` - the new value of the 'In Value Row Select Right' container reference.
  See Also:
    `QueryExpressionRoot.getInValueRowSelectRight()`

### getInValueSelectRight

    public PredicateInValueSelect getInValueSelectRight()

  Specified by:
    `getInValueSelectRight` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'In Value Select Right' container reference.
  See Also:
    `QueryExpressionRoot.setInValueSelectRight(PredicateInValueSelect)`, `SQLQueryModelPackage.getQueryExpressionRoot_InValueSelectRight()`, `PredicateInValueSelect.getQueryExpr()`

### setInValueSelectRight

    public void setInValueSelectRight(PredicateInValueSelect newInValueSelectRight)

  Specified by:
    `setInValueSelectRight` in interface `QueryExpressionRoot`
  Parameters:
    `newInValueSelectRight` - the new value of the 'In Value Select Right' container reference.
  See Also:
    `QueryExpressionRoot.getInValueSelectRight()`

### getQuantifiedRowSelectRight

    public PredicateQuantifiedRowSelect getQuantifiedRowSelectRight()

  Specified by:
    `getQuantifiedRowSelectRight` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'Quantified Row Select Right' container reference.
  See Also:
    `QueryExpressionRoot.setQuantifiedRowSelectRight(PredicateQuantifiedRowSelect)`, `SQLQueryModelPackage.getQueryExpressionRoot_QuantifiedRowSelectRight()`, `PredicateQuantifiedRowSelect.getQueryExpr()`

### setQuantifiedRowSelectRight

    public void setQuantifiedRowSelectRight(PredicateQuantifiedRowSelect newQuantifiedRowSelectRight)

  Specified by:
    `setQuantifiedRowSelectRight` in interface `QueryExpressionRoot`
  Parameters:
    `newQuantifiedRowSelectRight` - the new value of the 'Quantified Row Select Right' container reference.
  See Also:
    `QueryExpressionRoot.getQuantifiedRowSelectRight()`

### getQuantifiedValueSelectRight

    public PredicateQuantifiedValueSelect getQuantifiedValueSelectRight()

  Specified by:
    `getQuantifiedValueSelectRight` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'Quantified Value Select Right' container reference.
  See Also:
    `QueryExpressionRoot.setQuantifiedValueSelectRight(PredicateQuantifiedValueSelect)`, `SQLQueryModelPackage.getQueryExpressionRoot_QuantifiedValueSelectRight()`, `PredicateQuantifiedValueSelect.getQueryExpr()`

### setQuantifiedValueSelectRight

    public void setQuantifiedValueSelectRight(PredicateQuantifiedValueSelect newQuantifiedValueSelectRight)

  Specified by:
    `setQuantifiedValueSelectRight` in interface `QueryExpressionRoot`
  Parameters:
    `newQuantifiedValueSelectRight` - the new value of the 'Quantified Value Select Right' container reference.
  See Also:
    `QueryExpressionRoot.getQuantifiedValueSelectRight()`

### getValueExprScalarSelects

    public EList getValueExprScalarSelects()

  Specified by:
    `getValueExprScalarSelects` in interface `QueryExpressionRoot`
  Returns:
    the value of the 'Value Expr Scalar Selects' reference list.
  See Also:
    `SQLQueryModelPackage.getQueryExpressionRoot_ValueExprScalarSelects()`, `ValueExpressionScalarSelect.getQueryExpr()`

### getSQL

    public java.lang.String getSQL()

  Specified by:
    `getSQL` in interface `SQLQueryObject`
  Overrides:
    `getSQL` in class `SQLQueryObjectImpl`

### setSQL

    public void setSQL(java.lang.String sqlText)

  Specified by:
    `setSQL` in interface `SQLQueryObject`
  Overrides:
    `setSQL` in class `SQLQueryObjectImpl`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLQueryObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLQueryObjectImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `SQLQueryObjectImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLQueryObjectImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `SQLQueryObjectImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `SQLQueryObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.